Search documentation of ExStreamClient

# ExStreamClient.Model.DraftResponse (ExStreamClient v0.1.10)

View Source

Schema representing a DraftResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.DraftResponse{
      channel: ExStreamClient.Model.ChannelResponse.t() | nil,
      channel_cid: String.t(),
      created_at: float(),
      message: ExStreamClient.Model.DraftPayloadResponse.t(),
      parent_id: String.t() | nil,
      parent_message: ExStreamClient.Model.MessageResponse.t() | nil,
      quoted_message: ExStreamClient.Model.MessageResponse.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()